Bug 9385 - patron add labels right aligned in chrome
Summary: patron add labels right aligned in chrome
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Owen Leonard
QA Contact: Jonathan Druart
URL: /cgi-bin/koha/members/memberentry.pl?...
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-14 20:50 UTC by Nicole C. Engard
Modified: 2014-05-26 21:04 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
label to the right (15.81 KB, image/png)
2013-01-14 20:50 UTC, Nicole C. Engard
Details
Bug 9385 - patron add labels right aligned in chrome (1.42 KB, patch)
2013-02-11 17:27 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 9385 - patron add labels right aligned in chrome (1.52 KB, patch)
2013-02-11 17:37 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 9385 - patron add labels right aligned in chrome (1.63 KB, patch)
2013-02-11 21:44 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 9385 - patron add labels right aligned in chrome (1.66 KB, patch)
2013-02-14 15:50 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2013-01-14 20:50:34 UTC
Created attachment 14571 [details]
label to the right

In Chrome when adding/editing a patron the labels are aligned to the right instead of the left like in Firefox.  See attached
Comment 1 Owen Leonard 2013-02-11 17:27:36 UTC Comment hidden (obsolete)
Comment 2 Bernardo Gonzalez Kriegel 2013-02-11 17:37:55 UTC Comment hidden (obsolete)
Comment 3 Nicole C. Engard 2013-02-11 21:44:53 UTC Comment hidden (obsolete)
Comment 4 Jonathan Druart 2013-02-14 15:49:54 UTC
QA comment:

This patch fixes the described issues in Chromium and does not introduced any change with Firefox.

Marked as Passed QA.
Comment 5 Jonathan Druart 2013-02-14 15:50:14 UTC
Created attachment 15325 [details] [review]
Bug 9385 - patron add labels right aligned in chrome

The <legend> element has been given right alignment which seems to only
be respected by WebKit-based browsers. Users of Chrome and Safari see a
right-aligned legend while others see a left-aligned one. Given that the
legend is often applied to fieldsets spanning much of the screen it
seems wiser to have them left-aligned.

This patch removes "text-align:right" from the CSS so that <legend> will
inherit the default left alignment. To test, view any page with a legend
element, for instance the patron add form. In Firefox, Chrome, Safari,
IE, etc. the legend ("Patron identity," "Main address," etc.) should be
left-aligned in the fieldset.

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>

Comment: Works as described. Tested in IE, Chrome, Firefox, Opera.
No errors.

Signed-off-by: Nicole C. Engard <nengard@bywatersolutions.com>
All tests pass

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 6 Jared Camins-Esakov 2013-02-15 13:30:37 UTC
This patch has been pushed to master.
Comment 7 Chris Cormack 2013-02-26 08:29:52 UTC
Pushed to 3.8.x and 3.10.x will be in 3.8.11 and 3.10.4